# phpDox - Query\Drivers\SQLInterface

# Query\Drivers\SQLInterface

#### Interface for database-specific syntax subclasses

## Synopsis

interface SQLInterface {

- // methods
- public string limit()
- public string explain()
- public string random()
- public string dbList()
- public string tableList()
- public string|array systemTableList()
- public string viewList()
- public ?string triggerList()
- public ?string functionList()
- public ?string procedureList()
- public ?string sequenceList()
- public string|array typeList()
- public string columnList()
- public string fkList()
- public string indexList()

}

## Methods

#### public

- columnList() — Get information about the columns in the specified table
- dbList() — Returns sql to list other databases
- explain() — Modify the query to get the query plan
- fkList() — Get the list of foreign keys for the current table
- functionList() — Return sql to list functions
- indexList() — Get the list of indexes for the current table
- limit() — Get database specific sql for limit clause
- procedureList() — Return sql to list stored procedures
- random() — Get the sql for random ordering
- sequenceList() — Return sql to list sequences
- systemTableList() — Returns sql to list system tables
- tableList() — Returns sql to list tables
- triggerList() — Returns sql to list triggers
- typeList() — Return sql to list database field types
- viewList() — Returns sql to list views